import getPatchmanifest from './ssn/getPatchmanifest';
import getSolidpkg from './ssn/getSolidpkg';

(async () => {
  //----- PATCHMANIFEST -----
  //.patchmanifest files contain a single XML file called "manifest.xml"
  const patchmanifestJson = await getPatchmanifest('assets_swtor_de_de');
  console.log(patchmanifestJson);

  //----- SOLIDPKG -----
  //.solidpkg files contain a single Bencode file called "metafile.solid"
  const solidFile = await getSolidpkg('assets_swtor_de_de', -1, 0);
  console.log(solidFile);
})();
